Skip to navigation

Members Secondary Emails Add

View as Markdown

Add secondary emails to users.

Permission : Team member management.

Emails that are on verified domains will be verified automatically. For each email address not on a verified domain a verification email will be sent.

Required scope: members.write

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
new_secondary_emailslist of objectsRequired
List of users and secondary emails to add.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
resultslist of objects
List of users and secondary email results.
Variant:
team_apiv2.UserAddResult.successobject
Describes a user and the results for each attempt to add a secondary email.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error